<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:fadingEdge="vertical"
    android:scrollbars="vertical">

    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:context="com.newland.pnrdemo.DemoActivity">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="商户号:" />

            <EditText
                android:id="@+id/et_member_id"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:text="030147446000002059" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="交易操作员:" />

            <EditText
                android:id="@+id/et_merOperId"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:text="" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="打印操作员:" />

            <EditText
                android:id="@+id/et_merOperId_printed"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:text="" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="订单号:" />

            <EditText
                android:id="@+id/et_ord_no"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:inputType="number"
                android:maxLength="20" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="原终端订单号:" />

            <EditText
                android:id="@+id/et_ori_ord_no"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:inputType="number"
                android:maxLength="20" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="原第三方订单号:" />

            <EditText
                android:id="@+id/et_ori_out_ord_no"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:inputType="number"
                android:maxLength="20" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="金额:" />

            <EditText
                android:id="@+id/et_amount"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center"
                android:hint="金额（分）"
                android:inputType="number"
                android:maxLength="12"
                android:text="1" />
        </LinearLayout>

        <LinearLayout

            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="支付渠道:" />

            <RadioGroup
                android:id="@+id/radioGroupID"
                android:layout_width="wrap_content"
                android:layout_height="50dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <RadioButton
                    android:id="@+id/btn_acquire"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:checked="true"
                    android:text="银行卡" />

                <RadioButton
                    android:id="@+id/btn_scan"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="扫码" />

            </RadioGroup>
        </LinearLayout>

        <LinearLayout
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="退货串:"
                android:textColor="#339933" />
        </LinearLayout>

        <LinearLayout
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="出金模式：" />

            <EditText
                android:id="@+id/et_cashOutMode"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:gravity="center"
                android:maxLength="12" />
        </LinearLayout>

        <TextView
            android:visibility="gone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="退款商户明细：" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="gone"
            android:orientation="vertical">
            <!-- 商户1 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="商户1：" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="20dp"
                        android:text="扣款商户号：" />

                    <EditText
                        android:id="@+id/et_memberId1"
                        android:layout_width="match_parent"
                        android:layout_height="50dp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="20dp"
                        android:text="承担金额：" />

                    <EditText
                        android:id="@+id/et_undertakeAmt1"
                        android:layout_width="match_parent"
                        android:layout_height="50dp"
                        android:maxLength="12" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="20dp"
                        android:text="原交易确认订单号：" />

                    <EditText
                        android:id="@+id/et_confirmTermOrdId1"
                        android:layout_width="match_parent"
                        android:layout_height="50dp" />
                </LinearLayout>
            </LinearLayout>

            <!-- 商户2 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="商户2：" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="20dp"
                        android:text="扣款商户号：" />

                    <EditText
                        android:id="@+id/et_memberId2"
                        android:layout_width="match_parent"
                        android:layout_height="50dp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="20dp"
                        android:text="承担金额：" />

                    <EditText
                        android:id="@+id/et_undertakeAmt2"
                        android:layout_width="match_parent"
                        android:layout_height="50dp"
                        android:maxLength="12" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="20dp"
                        android:text="原交易确认订单号：" />

                    <EditText
                        android:id="@+id/et_confirmTermOrdId2"
                        android:layout_width="match_parent"
                        android:layout_height="50dp" />
                </LinearLayout>
            </LinearLayout>

            <!-- 商户3 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="商户3：" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="20dp"
                        android:text="扣款商户号：" />

                    <EditText
                        android:id="@+id/et_memberId3"
                        android:layout_width="match_parent"
                        android:layout_height="50dp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="20dp"
                        android:text="承担金额：" />

                    <EditText
                        android:id="@+id/et_undertakeAmt3"
                        android:layout_width="match_parent"
                        android:layout_height="50dp"
                        android:maxLength="12" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="20dp"
                        android:text="原交易确认订单号：" />

                    <EditText
                        android:id="@+id/et_confirmTermOrdId3"
                        android:layout_width="match_parent"
                        android:layout_height="50dp" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>


        <Button
            android:id="@+id/btn_confirm"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:layout_marginLeft="@dimen/common_height"
            android:layout_marginRight="@dimen/common_height"
            android:text="确定" />

        <TextView
            android:id="@+id/tv_request"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <View
            android:id="@+id/view_line"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="?attr/colorPrimary"
            android:visibility="gone" />

        <TextView
            android:id="@+id/tv_result"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

    </LinearLayout>
</ScrollView>
